Bug 510640 - Unable to use keyboard while connected to NX session
Unable to use keyboard while connected to NX session
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: freenx-server (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 21:25 EDT by Matt Castelein
Modified: 2009-07-31 13:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-25 10:18:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2009-07-09 21:25:37 EDT
Description of problem:
While connected to my desktop via NX, I am unable to type anything.

Version-Release number of selected component (if applicable):
freenx-server-0.7.3-12.fc11.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Connect NX session
2.Try to type something
3.
  
Actual results:
No response

Expected results:
Typing works normally

Additional info:
running the agent in a console reveals the following error messages:

expected keysym, got XF86_Switch_VT_1: line 8 of xfree86
expected keysym, got XF86_Switch_VT_2: line 11 of xfree86
expected keysym, got XF86_Switch_VT_3: line 14 of xfree86
expected keysym, got XF86_Switch_VT_4: line 17 of xfree86
expected keysym, got XF86_Switch_VT_5: line 20 of xfree86
expected keysym, got XF86_Switch_VT_6: line 23 of xfree86
expected keysym, got XF86_Switch_VT_7: line 26 of xfree86
expected keysym, got XF86_Switch_VT_8: line 29 of xfree86
expected keysym, got XF86_Switch_VT_9: line 32 of xfree86
expected keysym, got XF86_Switch_VT_10: line 35 of xfree86
expected keysym, got XF86_Switch_VT_11: line 38 of xfree86
expected keysym, got XF86_Switch_VT_12: line 41 of xfree86
expected keysym, got XF86_Ungrab: line 45 of xfree86
expected keysym, got XF86_ClearGrab: line 48 of xfree86
expected keysym, got XF86_Next_VMode: line 51 of xfree86
expected keysym, got XF86_Prev_VMode: line 54 of xfree86
The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
expected keysym, got ISO_Level5_Shift: line 17 of level5
expected keysym, got ISO_Level5_Shift: line 23 of level5
expected keysym, got ISO_Level5_Latch: line 27 of level5
expected keysym, got ISO_Level5_Latch: line 32 of level5
expected keysym, got ISO_Level5_Lock: line 36 of level5
expected keysym, got ISO_Level5_Lock: line 41 of level5
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOf(all)"
>                   Using last definition for duplicate fields
> Warning:          Multiple interpretations of "NoSymbol+AnyOfOrNone(all)"
>                   Using last definition for duplicate fields
expected keysym, got XF86Display: line 66 of pc
expected keysym, got XF86KbdLightOnOff: line 67 of pc
expected keysym, got XF86KbdBrightnessDown: line 68 of pc
expected keysym, got XF86KbdBrightnessUp: line 69 of pc
expected keysym, got XF86_Switch_VT_1: line 76 of pc
expected keysym, got XF86_Switch_VT_2: line 80 of pc
expected keysym, got XF86_Switch_VT_3: line 84 of pc
expected keysym, got XF86_Switch_VT_4: line 88 of pc
expected keysym, got XF86_Switch_VT_5: line 92 of pc
expected keysym, got XF86_Switch_VT_6: line 96 of pc
expected keysym, got XF86_Switch_VT_7: line 100 of pc
expected keysym, got XF86_Switch_VT_8: line 104 of pc
expected keysym, got XF86_Switch_VT_9: line 108 of pc
expected keysym, got XF86_Switch_VT_10: line 112 of pc
expected keysym, got XF86_Switch_VT_11: line 116 of pc
expected keysym, got XF86_Switch_VT_12: line 120 of pc
expected keysym, got XF86_Ungrab: line 90 of keypad
expected keysym, got XF86_ClearGrab: line 96 of keypad
expected keysym, got XF86_Prev_VMode: line 102 of keypad
expected keysym, got XF86_Next_VMode: line 112 of keypad
expected keysym, got XF86_Ungrab: line 247 of keypad
expected keysym, got XF86_ClearGrab: line 248 of keypad
expected keysym, got XF86_Prev_VMode: line 249 of keypad
expected keysym, got XF86_Next_VMode: line 251 of keypad
expected keysym, got XF86_Ungrab: line 274 of keypad
expected keysym, got XF86_ClearGrab: line 275 of keypad
expected keysym, got XF86_Prev_VMode: line 276 of keypad
expected keysym, got XF86_Next_VMode: line 278 of keypad
expected keysym, got XF86_Ungrab: line 302 of keypad
expected keysym, got XF86_ClearGrab: line 303 of keypad
expected keysym, got XF86_Prev_VMode: line 304 of keypad
expected keysym, got XF86_Next_VMode: line 306 of keypad
expected keysym, got XF86_Ungrab: line 328 of keypad
expected keysym, got XF86_ClearGrab: line 329 of keypad
expected keysym, got XF86_Prev_VMode: line 330 of keypad
expected keysym, got XF86_Next_VMode: line 332 of keypad
expected keysym, got XF86_Ungrab: line 511 of keypad
expected keysym, got XF86_ClearGrab: line 512 of keypad
expected keysym, got XF86_Prev_VMode: line 513 of keypad
expected keysym, got XF86_Next_VMode: line 514 of keypad
expected keysym, got dead_stroke: line 638 of us
> Error:            Cannot open "compiled/server-0.xkm" to write keyboard description
>                   Exiting

Note You need to log in before you can comment on or make changes to this bug.